%define libnametag	%mklibname %{name} 1
%define libnametagc	%mklibname %{name}_c 0
%define libdev %mklibname %{name} -d
%define libold %mklibname %{name} 0
%define libolddev %mklibname %{name} 0 -d

Name: taglib
Version: 1.5
Release: %mkrel 0.rc1.2
Summary: TagLib, is well, a library for reading and editing audio meta data
License: GPL
Group: File tools
Source: %name-%{version}rc1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
URL: http://ktown.kde.org/~wheeler/taglib/
Conflicts:	taglib <= 0.96-1mdk

%description
TagLib, is well, a library for reading and editing audio meta data, 
commonly know as tags.
Some goals of TagLib:
A clean, high level, C++ API to handling audio meta data.
Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
A generic, simple API for the most common tagging related functions.
Binary compatibility between minor releases using the standard KDE/Qt 
techniques for C++ binary compatibility.
Make the tagging framework extensible by library users; i.e. it will be 
possible for libarary users to implement additional ID3v2 frames, 
without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely 
adopted and the most flexible in licensing TagLib provides many of its 
own toolkit classes; in fact the only external dependency that TagLib has, 
it a semi-sane STL implementation.

#---------------------------------------------------------------------

%package	-n %{libnametag}
Group:		System/Libraries
Summary:	TagLib, is well, a library for reading and editing audio meta data
Conflicts:  taglib <= 0.96-1mdk
Obsoletes: %{libold} < 1.5.0
Obsoletes: taglib < 1.5.0

%description	-n %{libnametag}
Library for taglib

%post -n %{libnametag} -p /sbin/ldconfig
%postun -n %{libnametag} -p /sbin/ldconfig

%files -n %{libnametag}
%defattr(-,root,root)
%_libdir/libtag.la
%_libdir/libtag.so.*

#---------------------------------------------------------------------

%package	-n %{libnametagc}
Group: System/Libraries
Summary: TagLib, is well, a library for reading and editing audio meta data
Conflicts: taglib <= 0.96-1mdk
Conflicts: %{libold} < 1.5.0
Obsoletes: taglib < 1.5.0

%description	-n %{libnametagc}
TagLib, is well, a library for reading and editing audio meta data.

%post -n %{libnametagc} -p /sbin/ldconfig
%postun -n %{libnametagc} -p /sbin/ldconfig

%files -n %{libnametagc}
%defattr(-,root,root)
%_libdir/libtag_c.la
%_libdir/libtag_c.so.*

#---------------------------------------------------------------------

%package -n %{libdev}
Group: Development/C
Summary: Headers and static lib for taglib development
Requires: %{libnametag} = %version-%release
Requires: %{libnametagc} = %version-%release
Provides: %{name}-devel = %{version}-%{release}
Conflicts: taglib <= 0.96-1mdk
Obsoletes: %{libolddev}

%description -n %{libdev}
Install this package if you want do compile applications i
using the libtag library.

%files -n %{libdev}
%defattr(-,root,root)
%_bindir/taglib-config
%_libdir/*.so
%_libdir/pkgconfig/*
%_includedir/*
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%setup -q -n %name-%{version}rc1

%build
%configure2_5x

%make

%install
rm -rf %buildroot
%makeinstall_std

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/taglib-config

%clean
rm -rf %buildroot




%changelog
* Thu Feb 14 2008 Helio Chissini de Castro <helio@mandriva.com> 1.5-0.rc1.2mdv2008.1
+ Revision: 168652
- Obsolete taglib package, as they have no files inside, just a wrong explicit requires

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1.5-0.rc1.1mdv2008.1
+ Revision: 167117
- Release Candidate 1 of new Taglib. Major bugfixes, but keeps ABI and API compatible.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1.4-3mdv2008.0
+ Revision: 31990
- Add Patch2 (close bug #30620)


* Tue Apr 03 2007 Laurent Montel <lmontel@mandriva.com> 1.4-3mdv2007.1
+ Revision: 150241
- Fix mem leak

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
+ Revision: 96488
- Import taglib

* Wed Dec 13 2006 Götz Waschk <waschk@mandriva.org> 1.4-2mdv2007.1
- use the right configure macro

* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 1.4-1mdk
- 1.4

* Wed Jan 26 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-3mdk
- Add for multiarch

* Fri Jan 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-2mdk
- Add patch1: fix kde bug #96926

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Sat Oct 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-1mdk
- 1.3

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2-2mdk
- merge lost changes from amd64-branch:
  * mklibnamification fixes

* Thu Jul 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2-1mdk
- 1.2
- Desactivate doc

* Tue Jul 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-3mdk
- Compile doc

* Fri Jun 04 2004 Montel Laurent <lmontel@mandrakesoft.com> 1.1-2mdk
- Rebuild with new gcc

* Tue Apr 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

